declare @uid varchar(50)
select @uid=uid from seg_usuario where id=1
if not exists (select * from [gui_bloqueHome] where nombreControl='recordatorios') 
begin
insert into [gui_bloqueHome] (eid,uid, bloqueHome, nombreControl, urlBusqueda, urlNuevo, orden, colorModulo, esGenerico, filtro) values ('01',@uid,'Recordatorios', 'recordatorios', '#', '#', '4', 'cnt','0','1=1')
end

--CREAR DETTALES DEL BLOQUEHOME DE EQUIPOS PROVEEDOR
declare @id_bloqueHome as int 
select @id_bloqueHome = id from [gui_bloqueHome] where nombreControl='recordatorios'
if not exists (select * from [gui_detalleBloqueHome] where detalleBloqueHome='id_subtipoDocumento' and id_bloqueHome=@id_bloqueHome)
begin
insert into [gui_detalleBloqueHome] (eid,uid,detalleBloqueHome,detalleBloqueHome_codigo, id_bloqueHome, tipoCampo, orden, tipoBloqueHome) values ('01',@uid,'id_subtipoDocumento','', @id_bloqueHome, '3', '2','1')
end

if not exists (select * from [gui_detalleBloqueHome] where detalleBloqueHome='id_tercero_cliente' and id_bloqueHome=@id_bloqueHome)
begin
insert into [gui_detalleBloqueHome] (eid,uid,detalleBloqueHome,detalleBloqueHome_codigo, id_bloqueHome, tipoCampo, orden, tipoBloqueHome) values ('01',@uid,'id_tercero_cliente','', @id_bloqueHome, '3', '1','1')
end

--ASIGNAR PERMISO AL PERFIL DE VER EL BLOQUEHOME DE EQUIPOS PROVEEDOR
declare @id_perfil as int
select @id_perfil=id from [seg_perfil] where perfil ='Administrador' 
if not exists (select * from [seg_perfil_bloqueHome] where id_perfil=@id_perfil and id_bloqueHome=@id_bloqueHome)
begin
insert into [seg_perfil_bloqueHome] (eid,uid,id_perfil,id_bloqueHome,perfil_bloqueHome) values ('01',@uid,@id_perfil,@id_bloqueHome,'')
end
